Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -5104,9 +5104,9 @@
 
          ! compression dans le cas condensation_facftmr
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         real T_cas(ncum),T(ncum),  &
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         REAL T_cas(ncum),T(ncum),  &
           xt_cas(niso,ncum),q_cas(ncum),xt(ntraciso,ncum),q(ncum),  &
           xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
@@ -5114,5 +5114,5 @@
           delP_cas(ncum),Ph(nloc,ND), &
           sigd_cas(ncum), sigd(ncum)
-         real Eqi_prime_cas(ncum),Eqi_prime(ncum), &
+         REAL Eqi_prime_cas(ncum),Eqi_prime(ncum), &
           Pqisup_cas(ncum),Pqisup(ncum),  &
           Pxtisup_cas(niso,ncum),Pxtisup(ntraciso,ncum), &
@@ -5120,7 +5120,7 @@
           xtp_avantevap_cas(niso,ncum),xtp_avantevap(ntraciso,ncum)
 #ifdef ISOVERIF         
-         real evap_cas(ncum),evap(ncum),qp_cas(ncum),qp(ncum)
+         REAL evap_cas(ncum),evap(ncum),qp_cas(ncum),qp(ncum)
 #endif         
-         integer il,ixt
+         INTEGER il,ixt
 
           do il=1,ncas
@@ -5137,6 +5137,6 @@
             qp_cas(il)=qp(cas(il))
             evap_cas(il)=evap(cas(il))
-            if (iso_verif_positif_nostop(sigd_cas(il)-1e-3, &
-                'compress_cond_nofftmr 5294').eq.1) THEN
+            IF (iso_verif_positif_nostop(sigd_cas(il)-1e-3, &
+                'compress_cond_nofftmr 5294').EQ.1) THEN
                 WRITE(*,*) 'il,cas(il),sigd_cas(il)=',il,cas(il),sigd_cas(il)
                 CALL abort_physic('isotopes_routines_mod', 'compress_cond_nofftmr 5294: sigd_cas<1e3', 1)
@@ -5177,18 +5177,18 @@
 
          ! compression dans le cas condensation_facftmr
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         real xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         REAL xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
           water_cas(ncum),water(ncum), &
           delP_cas(ncum),Ph(nloc,ND)
-         real Pqisup_cas(ncum),Pqisup(ncum),  &
+         REAL Pqisup_cas(ncum),Pqisup(ncum),  &
           Pxtisup_cas(niso,ncum),Pxtisup(ntraciso,ncum),  &
           xtp_avantevap_cas(niso,ncum),xtp_avantevap(ntraciso,ncum)
 #ifdef ISOVERIF         
-         real evap_cas(ncum),evap(ncum),qp_cas(ncum),qp(ncum)
+         REAL evap_cas(ncum),evap(ncum),qp_cas(ncum),qp(ncum)
 #endif         
-         integer il,ixt
+         INTEGER il,ixt
 
           do il=1,ncas
@@ -5247,10 +5247,10 @@
          ! compression dans le cas condensation_facftmr
         ! inputs et outputs  
-         integer iflag_con   
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         real xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
+         INTEGER iflag_con
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         REAL xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
           water_cas(ncum),water(ncum), &
           qs_cas(ncum),qs(ncum), &
@@ -5259,7 +5259,7 @@
           delP_cas(ncum),Ph(nloc,ND), &
           sigd_cas(ncum),sigd(ncum)
-         real qp_cas(ncum),qp(ncum)
-#ifdef ISOVERIF
-         real evap_cas(ncum),evap(ncum)
+         REAL qp_cas(ncum),qp(ncum)
+#ifdef ISOVERIF
+         REAL evap_cas(ncum),evap(ncum)
 !         real 
 !         integer iso_verif_positif_nostop
@@ -5274,7 +5274,7 @@
           fac_ftmr_cas(ncum),fac_ftmr(ncum), &
           Eqi(ncum),Eqi_cas(ncum)
-         integer INB_cas(ncum),INB(ncum)
+         INTEGER INB_cas(ncum),INB(ncum)
          ! locals
-         integer il,ixt
+         INTEGER il,ixt
 
           do il=1,ncas
@@ -5312,5 +5312,5 @@
       !    Eqi_prime sont les même que Eqi_par
           do il=1,ncas
-            if ((water(cas(il)).gt.ridicule/100).and. &
+            IF ((water(cas(il)).gt.ridicule/100).AND. &
                   (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
@@ -5319,11 +5319,11 @@
              Pqiinf_stewart(il)=Pqiinf(cas(il))
              Eqi_stewart(il)=Eqi_par(cas(il))
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+           else !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il))
-             if (iflag_con.eq.30) THEN
+             IF (iflag_con.EQ.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il))
-             else !if (iflag_con.eq.30) THEN
-                if (Eqi(cas(il)).ge.0.0) THEN
+             else !if (iflag_con.EQ.30) THEN
+                IF (Eqi(cas(il)).ge.0.0) THEN
                    Eqi_stewart(il)=Eqi(cas(il))
                 else !if (Eqi(cas(il)).gt.0.0) THEN
@@ -5335,6 +5335,6 @@
                    Eqi_stewart(il)=Eqi_prime(cas(il))
                 endif !if (Eqi(cas(il)).gt.0.0) THEN
-             endif !if (iflag_con.eq.30) THEN
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+             endif !if (iflag_con.EQ.30) THEN
+           endif !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
          enddo !do il=1,ncas
 
@@ -5342,9 +5342,9 @@
 #ifdef ISOVERIF
          do il=1,ncas 
-          if ((iso_verif_positif_nostop(( &
-              Eqi_stewart(il)),'compress_stewart 977a').eq.1) &
-              .or.(iso_verif_positif_nostop(( &
+          IF ((iso_verif_positif_nostop(( &
+              Eqi_stewart(il)),'compress_stewart 977a').EQ.1) &
+              .OR.(iso_verif_positif_nostop(( &
               Eqi_stewart(il))*fac_ftmr_cas(il), &
-              'compress_stewart 977b').eq.1)) THEN
+              'compress_stewart 977b').EQ.1)) THEN
               WRITE(*,*) 'Pqiinf=',Pqiinf(cas(il))
               WRITE(*,*) 'Pqisup=',Pqisup(cas(il))
@@ -5368,6 +5368,6 @@
 #ifdef ISOVERIF
         do il=1,ncas
-          if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+          IF ((abs(water_cas(il)).ge.ridicule/10.) &
+                 .AND.(Pqiinf_stewart(il).le.0.0)) THEN
               WRITE(*,*) 'compress_stewart 498: evap liq:'
               WRITE(*,*) 'water(il,i)=', water_cas(il)
@@ -5412,5 +5412,5 @@
 USE isotopes_verif_mod
 #ifdef ISOTRAC
-use isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
+USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -5418,17 +5418,17 @@
 
          ! compression dans le cas condensation_facftmr
-         integer iflag_con      
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         real T_cas(ncum),T(ncum), &
+         INTEGER iflag_con
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         REAL T_cas(ncum),T(ncum), &
           delP_cas(ncum),Ph(nloc,ND), &
           water_cas(ncum),water(ncum), &
           xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum)
-         real qp_cas(ncum),qp(ncum)
-         real sigd_cas(ncum),sigd(ncum)
+         REAL qp_cas(ncum),qp(ncum)
+         REAL sigd_cas(ncum),sigd(ncum)
 #ifdef ISOVERIF  
-         real evap_cas(ncum),evap(ncum)
+         REAL evap_cas(ncum),evap(ncum)
 #endif         
          real  fac_ftmr_cas(ncum),fac_ftmr(ncum), &
@@ -5440,7 +5440,7 @@
           Pqiinf(ncum),Eqi_par(ncum),Pqiinf_par(ncum),Eqi_prime(ncum), &
           Eqi(ncum),Eqi_cas(ncum)
-          integer frac_sublim
-          integer INB_cas(ncum),INB(ncum)
-          integer il,ixt
+          INTEGER frac_sublim
+          INTEGER INB_cas(ncum),INB(ncum)
+          INTEGER il,ixt
 
           do il=1,ncas
@@ -5469,5 +5469,5 @@
 !     :   qp_avantevap_cas(1),qp_avantevap(cas(1))   
 
-          if (frac_sublim.eq.1) THEN
+          IF (frac_sublim.EQ.1) THEN
             do il=1,ncas           
              T_cas(il)=T(cas(il))           
@@ -5484,5 +5484,5 @@
       !    Eqi_prime sont les même que Eqi_par
           do il=1,ncas
-            if ((water(cas(il)).gt.ridicule/100).and. &
+            IF ((water(cas(il)).gt.ridicule/100).AND. &
                   (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
@@ -5491,23 +5491,23 @@
              Pqiinf_stewart(il)=Pqiinf(cas(il))
              Eqi_stewart(il)=Eqi_par(cas(il))
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+           else !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il))
-             if (iflag_con.eq.30) THEN
+             IF (iflag_con.EQ.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il))
-             else !if (iflag_con.eq.30) THEN
+             else !if (iflag_con.EQ.30) THEN
                 ! pour quoi avait-on fait un traitement différent dans
                 ! le cas  iflag_con=3?? C'est vraiment le bordel ici!
-                if ((Eqi_prime(cas(il)).gt.0.0).and. &
-                     (Pqiinf(cas(il)).ge.Pqisup(cas(il))).and. &
-                     (Pqisup(cas(il)).gt.0.0).and. &
+                IF ((Eqi_prime(cas(il)).gt.0.0).AND. &
+                     (Pqiinf(cas(il)).ge.Pqisup(cas(il))).AND. &
+                     (Pqisup(cas(il)).gt.0.0).AND. &
                      (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0)) THEN
                      ! rustine au cas patho en 1D pour -90hPa/d   
                      Eqi_stewart(il)=Eqi_prime(cas(il))
-                else !if (Eqi_prime(il).gt.0.0).and.
+                else !if (Eqi_prime(il).gt.0.0).AND.
                      Eqi_stewart(il)=Eqi(cas(il))
-                endif !if (Eqi_prime(il).gt.0.0).and.
-             endif !if (iflag_con.eq.30) THEN
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+                endif !if (Eqi_prime(il).gt.0.0).AND.
+             endif !if (iflag_con.EQ.30) THEN
+           endif !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
          enddo !do il=1,ncas_evap_glace 
 
@@ -5520,6 +5520,6 @@
 !        WRITE(*,*) 'Pqisup_cas=',Pqisup_cas(il)
         do il=1,ncas
-          if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+          IF ((abs(water_cas(il)).ge.ridicule/10.) &
+                 .AND.(Pqiinf_stewart(il).le.0.0)) THEN
               WRITE(*,*) 'compress_stewart 498: evap glace:'
               WRITE(*,*) 'water(il,i)=', water_cas(il)
@@ -5546,15 +5546,15 @@
 
         ! inputs         
-         integer ncas
-         integer cas(ncas)
-         integer klon         
-         real zxt_cas(niso,ncas),zxtrfln_cas(niso,ncas)
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon
+         REAL zxt_cas(niso,ncas),zxtrfln_cas(niso,ncas)
 
          ! outputs
-         real zxt(ntraciso,klon)
-         real zxtrfl(ntraciso,klon),zxtrfln(ntraciso,klon)
+         REAL zxt(ntraciso,klon)
+         REAL zxtrfl(ntraciso,klon),zxtrfln(ntraciso,klon)
 
          ! locals
-         integer il,ixt
+         INTEGER il,ixt
 
          do il=1,ncas
@@ -5579,13 +5579,13 @@
          IMPLICIT NONE
 
-         integer ncas
-         integer cas(ncas)
-         integer klon,klev
-         real zxt(niso,klon)
-         real zxtrfl(niso,klon)
-         real delP(ncas),paprs(klon,klev+1)
-         real zxt_cas(niso,ncas), zxtrfl_cas(niso,ncas)
-         integer k
-         integer il,ixt
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon,klev
+         REAL zxt(niso,klon)
+         REAL zxtrfl(niso,klon)
+         REAL delP(ncas),paprs(klon,klev+1)
+         REAL zxt_cas(niso,ncas), zxtrfl_cas(niso,ncas)
+         INTEGER k
+         INTEGER il,ixt
 
          do il=1,ncas
@@ -5616,21 +5616,21 @@
          IMPLICIT NONE
 
-         integer ncas
-         integer cas(ncas)
-         integer klon,klev
-         real zq(klon), zxt(ntraciso,klon)
-         real zq_cas(ncas),zxt_cas(niso,ncas)         
-         real zxtrfl_cas(niso,ncas)
-         real zxtrfl_ancien(ntraciso,klon)
-         real delP(ncas),paprs(klon,klev+1)
-         real zqs(klon),zqs_cas(ncas)
-         real zt_cas(ncas),zt(klon) 
-         real zqev_diag_cas(ncas),zqev_diag(klon)
-         real zrfln_cas(ncas)
-         real zrfln(klon)
-         real zrfl_cas(ncas)
-         real zrfl_ancien(klon)
-         integer k
-         integer il,ixt
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon,klev
+         REAL zq(klon), zxt(ntraciso,klon)
+         REAL zq_cas(ncas),zxt_cas(niso,ncas)
+         REAL zxtrfl_cas(niso,ncas)
+         REAL zxtrfl_ancien(ntraciso,klon)
+         REAL delP(ncas),paprs(klon,klev+1)
+         REAL zqs(klon),zqs_cas(ncas)
+         REAL zt_cas(ncas),zt(klon)
+         REAL zqev_diag_cas(ncas),zqev_diag(klon)
+         REAL zrfln_cas(ncas)
+         REAL zrfln(klon)
+         REAL zrfl_cas(ncas)
+         REAL zrfl_ancien(klon)
+         INTEGER k
+         INTEGER il,ixt
 
          do il=1,ncas
@@ -5671,28 +5671,28 @@
 
         ! inputs         
-         integer ncas
-         integer cas(ncas)
-         integer klon
-         real zq(klon), zxt(ntraciso,klon)
-         real zxtrfl_ancien(ntraciso,klon)
-         real zt(klon) 
-         real zqev_diag(klon)
-         real zrfln(klon)
-         integer k,klev
-         real paprs(klon,klev+1)
-         integer frac_sublim
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon
+         REAL zq(klon), zxt(ntraciso,klon)
+         REAL zxtrfl_ancien(ntraciso,klon)
+         REAL zt(klon)
+         REAL zqev_diag(klon)
+         REAL zrfln(klon)
+         INTEGER k,klev
+         REAL paprs(klon,klev+1)
+         INTEGER frac_sublim
 
          ! outputs
-         real zq_cas(ncas),zxt_cas(niso,ncas)         
-         real zxtrfl_cas(niso,ncas)         
-         real zt_cas(ncas)
-         real zqev_diag_cas(ncas)
-         real zrfln_cas(ncas)         
-         real zrfl_cas(ncas)
-         real zrfl_ancien(klon)
-         real delP(ncas)
+         REAL zq_cas(ncas),zxt_cas(niso,ncas)
+         REAL zxtrfl_cas(niso,ncas)
+         REAL zt_cas(ncas)
+         REAL zqev_diag_cas(ncas)
+         REAL zrfln_cas(ncas)
+         REAL zrfl_cas(ncas)
+         REAL zrfl_ancien(klon)
+         REAL delP(ncas)
          
          ! locals
-         integer il,ixt 
+         INTEGER il,ixt
 !#ifdef ISOVERIF
 !         real 
@@ -5709,5 +5709,5 @@
           zq_cas(il)=zq(cas(il))
           zqev_diag_cas(il)=zqev_diag(cas(il))   
-          if (frac_sublim.eq.1) THEN
+          IF (frac_sublim.EQ.1) THEN
             zt_cas(il)=zt(cas(il))
           endif
@@ -5715,5 +5715,5 @@
          
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             do il=1,ncas
 !              WRITE(*,*) 'il=',il
@@ -5753,8 +5753,8 @@
 
         ! **inputs:
-        integer ncas
+        INTEGER ncas
         ! arguments de la fonction à intégrer:
-        real qp0(ncas)
-        real A(ncas),m(ncas),m0(ncas),beta(niso,ncas), &
+        REAL qp0(ncas)
+        REAL A(ncas),m(ncas),m0(ncas),beta(niso,ncas), &
                  gama(niso,ncas),f0(ncas),g0(ncas)
 !        integer ntot(ncas) 
@@ -5763,15 +5763,15 @@
         
         ! ** output
-        real I(niso,ncas) ! integrale
+        REAL I(niso,ncas) ! integrale
         
         ! **locals
         ! nombre max d'itération dans integrale rieman
-        integer j
-        integer il,ixt,k
-        real dxj(ncas)
-        integer ndeg ! degrès du polynome de Legendre 
+        INTEGER j
+        INTEGER il,ixt,k
+        REAL dxj(ncas)
+        INTEGER ndeg ! degrès du polynome de Legendre
         parameter (ndeg=5)   
-        real w(ndeg),z(ndeg)
-        real fj
+        REAL w(ndeg),z(ndeg)
+        REAL fj
             
 !        real xj        
@@ -5787,5 +5787,5 @@
 #ifdef ISOVERIF     
       do il=1,ncas   
-        if (m0(il).lt.m(il)) THEN
+        IF (m0(il).lt.m(il)) THEN
             WRITE(*,*) 'integrale_rieman 25'
             WRITE(*,*) 'binf=',m(il),' bsup=',m0(il)
@@ -5799,13 +5799,13 @@
         !*** calculs
 
-        if (ndeg.eq.1) THEN
+        IF (ndeg.EQ.1) THEN
            z(1)=0.0
            w(1)=2.0
-         else if (ndeg.eq.2) THEN
+         ELSE IF (ndeg.EQ.2) THEN
            z(1)=-0.577350269189
            z(2)=0.577350269189
            w(1)=1.0
            w(2)=1.0
-        else if (ndeg.eq.3) THEN
+        ELSE IF (ndeg.EQ.3) THEN
            z(1)=-0.774596669241
            z(2)=0.0
@@ -5814,5 +5814,5 @@
            w(2)=0.8888888888888
            w(3)=0.5555555555555
-        else if (ndeg.eq.4) THEN
+        ELSE IF (ndeg.EQ.4) THEN
            z(1)=-0.861136311594
            z(2)=-0.3399810435848
@@ -5823,5 +5823,5 @@
            w(3)=0.6521451548625
            w(4)=0.34785484513745 
-        else if (ndeg.eq.5) THEN
+        ELSE IF (ndeg.EQ.5) THEN
            z(1)=-0.90617984593866399280
            z(2)=-0.53846931010568309104
@@ -5954,9 +5954,9 @@
 
       !*inputs et outputs
-      integer ncum ! dimension horiz effective
-      logical lwork(nloc)
-      integer NA,ND,nloc ! dimensions officielles
-      real PH(nloc,ND),T(nloc,ND),EVAP(nloc,NA)
-      real XTWDTRAIN(ntraciso,nloc),WDTRAIN(nloc), &
+      INTEGER ncum ! dimension horiz effective
+      LOGICAL lwork(nloc)
+      INTEGER NA,ND,nloc ! dimensions officielles
+      REAL PH(nloc,ND),T(nloc,ND),EVAP(nloc,NA)
+      REAL XTWDTRAIN(ntraciso,nloc),WDTRAIN(nloc), &
             WATER(nloc,NA), Q(nloc,NA), XT(ntraciso,nloc,ND), &
                  QS(nloc,ND),QP(nloc,NA), &
@@ -5964,26 +5964,26 @@
           XTEVAP(ntraciso,nloc,NA), &
             WT(nloc,NA), MP(nloc,NA)
-      real sigd
-      integer i,INB(nloc)
-      logical cvflag_grav
-      real ginv
-      real Mpmin
+      REAL sigd
+      INTEGER i,INB(nloc)
+      LOGICAL cvflag_grav
+      REAL ginv
+      REAL Mpmin
 
       !* variables intermediaires
-      integer ixt,j,il
-      real qeff(ncum)
-      real xtp_avantevap(ntraciso,ncum),qp_avantevap(ncum)
+      INTEGER ixt,j,il
+      REAL qeff(ncum)
+      REAL xtp_avantevap(ntraciso,ncum),qp_avantevap(ncum)
 !      real Exi(niso,ncum) ! equivalent à Eqi_prime
-      real Pqisup(ncum),Pqiinf(ncum),Eqi(ncum) 
-      real Pqiinf_par(ncum), Eqi_prime(ncum),  &
+      REAL Pqisup(ncum),Pqiinf(ncum),Eqi(ncum)
+      REAL Pqiinf_par(ncum), Eqi_prime(ncum),  &
                  Eqi_plus1(ncum), Eqi_par(ncum)
-      real Pqiinf_stewart(ncum), Eqi_stewart(ncum)
-      real Exi_prime(ntraciso,ncum)
-      real Pxtiinf_stewart(niso,ncum),  &
+      REAL Pqiinf_stewart(ncum), Eqi_stewart(ncum)
+      REAL Exi_prime(ntraciso,ncum)
+      REAL Pxtiinf_stewart(niso,ncum),  &
                 Exi_stewart(niso,ncum)
-      real Exi_plus1(niso,ncum)
-      real Pxtisup(ntraciso,ncum), Pxtiinf(niso,ncum)
-      real xtnew(niso,ncum)
-      real fac_ftmr(ncum) ! facteur de conversion des flux en mixing ratio
+      REAL Exi_plus1(niso,ncum)
+      REAL Pxtisup(ntraciso,ncum), Pxtiinf(niso,ncum)
+      REAL xtnew(niso,ncum)
+      REAL fac_ftmr(ncum) ! facteur de conversion des flux en mixing ratio
 !      real Risup(ntraciso,ncum), Rcond(ntraciso,ncum), 
 !     :           Renv(ntraciso,ncum) 
@@ -5993,31 +5993,31 @@
 !     real fcond(ncum), fice(ncum), cond(ncum)
 !      real zxtalphal(niso,ncum), zxtalphai(niso,ncum)
-      real g
-      real rat(ncum)
-      real ztglace_kelvin
+      REAL g
+      REAL rat(ncum)
+      REAL ztglace_kelvin
       parameter (ztglace_kelvin=273.15)
 
-      integer frac_sublim
+      INTEGER frac_sublim
       !real      
       !real real_to_double
 
       ! compteurs de parsage
-      integer icas_condensation_facftmr,ncas_condensation_facftmr
-      integer icas_condensation_nofacftmr,ncas_condensation_nofacftmr
-      integer icas_noevap,ncas_noevap
-      integer icas_evap_liq,ncas_evap_liq
-      integer icas_evap_glace,ncas_evap_glace
-      integer ncas_tot
+      INTEGER icas_condensation_facftmr,ncas_condensation_facftmr
+      INTEGER icas_condensation_nofacftmr,ncas_condensation_nofacftmr
+      INTEGER icas_noevap,ncas_noevap
+      INTEGER icas_evap_liq,ncas_evap_liq
+      INTEGER icas_evap_glace,ncas_evap_glace
+      INTEGER ncas_tot
 
       ! tableaux d'indice issus du parsage
-      integer cas_condensation_facftmr(ncum)
-      integer cas_condensation_nofacftmr(ncum)
-      integer cas_noevap(ncum)
-      integer cas_evap_liq(ncum)
-      integer cas_evap_glace(ncum)
+      INTEGER cas_condensation_facftmr(ncum)
+      INTEGER cas_condensation_nofacftmr(ncum)
+      INTEGER cas_noevap(ncum)
+      INTEGER cas_evap_liq(ncum)
+      INTEGER cas_evap_glace(ncum)
 
 #ifdef ISOVERIF
       ! tracage des cas
-      integer trace_cas(ncum)
+      INTEGER trace_cas(ncum)
 !      integer iso_verif_positif_nostop
 !      integer iso_verif_positif_choix_nostop
@@ -6027,13 +6027,13 @@
 !      integer iso_verif_egalite_choix_nostop
 !      real deltaD
-      real Exi_cas(niso,ncum),Exi(ntraciso,ncum)
+      REAL Exi_cas(niso,ncum),Exi(ntraciso,ncum)
 #endif      
 
       ! outputs des calculs, compressés
-      real xtevap_cas(niso,ncum),xtp_cas(niso,ncum), &
+      REAL xtevap_cas(niso,ncum),xtp_cas(niso,ncum), &
                  xtwater_cas(niso,ncum)
 
       ! inputs des calculs, compréssés
-      real T_cas(ncum),delP_cas(ncum), &
+      REAL T_cas(ncum),delP_cas(ncum), &
                 xtevapsup_cas(niso,ncum),evap_cas(ncum), &
                 qp_cas(ncum),wt_cas(ncum), &
@@ -6041,5 +6041,5 @@
                 qs_cas(ncum),water_cas(ncum), &
                 sigd_cas(ncum)
-        real sigd_vec(ncum)
+        REAL sigd_vec(ncum)
       real  qp_avantevap_cas(ncum), &
         xtp_avantevap_cas(niso,ncum), &
@@ -6050,10 +6050,10 @@
       real  qp_avantevaptrac_cas(ncum), &
         xtp_avantevaptrac_cas(niso,ncum)
-        integer izone ,iiso
-      real xtaddp_tag(niso,ncum)
-      real ptrac(ncum)
-      real hdiag(ncum)
+        INTEGER izone ,iiso
+      REAL xtaddp_tag(niso,ncum)
+      REAL ptrac(ncum)
+      REAL hdiag(ncum)
 #endif      
-      integer INB_cas(ncum)
+      INTEGER INB_cas(ncum)
               
 
@@ -6063,5 +6063,5 @@
 
       !gravité:
-      if (cvflag_grav) THEN
+      IF (cvflag_grav) THEN
           g=1/ginv
       else
@@ -6082,10 +6082,10 @@
       
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         do il=1,ncum 
-         if (i.le.inb(il) .and. lwork(il)) THEN
+         IF (i.le.inb(il) .AND. lwork(il)) THEN
           CALL iso_verif_egalite_choix(xt(iso_eau,il,i),q(il,i), &
                  'appel stewart 58',errmax,errmaxrel)
-         endif !if (i.le.inb(il) .and. lwork(il)) THEN
+         endif !if (i.le.inb(il) .AND. lwork(il)) THEN
         enddo !do il=1,ncum    
       endif !if (iso_eau.gt.0) THEN
@@ -6097,18 +6097,18 @@
 #endif      
 #endif
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-             if (i.le.inb(il) .and. lwork(il)) THEN
+             IF (i.le.inb(il) .AND. lwork(il)) THEN
                 xt(iso_eau,il,i)=  q(il,i)
-             endif !if (i.le.inb(il) .and. lwork(il)) THEN
+             endif !if (i.le.inb(il) .AND. lwork(il)) THEN
            enddo !do il=1,ncum     
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
       ! verif que les vapeurs du ddft plus haut sont bonnes
       ! si i=INB, on ne verifie rien car pas de vapeur au dessus de INB
 #ifdef ISOVERIF
        do il=1,ncum 
-         if (i.lt.inb(il) .and. lwork(il)) THEN
+         IF (i.lt.inb(il) .AND. lwork(il)) THEN
           do j=i+1,INB(il)
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtp(iso_eau,il,j),qp(il,j), &
                  'appel_stewart 66',errmax,errmaxrel)
@@ -6123,17 +6123,17 @@
 #endif  
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
+        endif ! (i.lt.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
        do il=1,ncum 
-        if (i.lt.inb(il) .and. lwork(il)) THEN
+        IF (i.lt.inb(il) .AND. lwork(il)) THEN
          do j=i+1,INB(il)
           xtp(iso_eau,il,j)=qp(il,j)          
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
+        endif ! (i.lt.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum 
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
       ! end verif des inputs 
 
@@ -6142,10 +6142,10 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-        if (Mp(il,i).gt.Mp(il,i+1)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+        IF (Mp(il,i).gt.Mp(il,i+1)) THEN
           ! cas entrainant
           fac_ftmr(il)=1.0/Mp(il,i)
         else !if (Mp(il,i).gt.Mp(il,i+1)) THEN
-          if (Mp(il,i+1).gt.Mpmin) THEN
+          IF (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               fac_ftmr(il)=1.0/Mp(il,i+1)
@@ -6155,5 +6155,5 @@
           endif !if (Mp(il,i+1).gt.Mpmin) THEN
         endif !if (Mp(il,i).gt.Mp(il,i+1)) THEN
-       endif ! (i.le.inb(il) .and. lwork(il)) THEN
+       endif ! (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum
 
@@ -6161,7 +6161,7 @@
             
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-        if (i.lt.INB(il)) THEN
-         if (Mp(il,i).gt.Mp(il,i+1)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+        IF (i.lt.INB(il)) THEN
+         IF (Mp(il,i).gt.Mp(il,i+1)) THEN
           ! cas entrainant
           rat(il)=Mp(il,i+1)/Mp(il,i)
@@ -6172,5 +6172,5 @@
           enddo
          else !if (Mp(il,i).gt.Mp(il,i+1)) THEN
-           if (Mp(il,i+1).gt.Mpmin) THEN
+           IF (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               qp_avantevap(il)=qp(il,i+1)
@@ -6185,5 +6185,5 @@
               ! l'environnement
               qp_avantevap(il)=qp(il,i)
-              if (qp(il,i).gt.0) THEN
+              IF (qp(il,i).gt.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_positif_strict(q(il,i), &
@@ -6207,5 +6207,5 @@
           ! l'environnement
           qp_avantevap(il)=qp(il,i)
-          if (qp(il,i).gt.0) THEN
+          IF (qp(il,i).gt.0) THEN
             do ixt=1,ntraciso
              xtp_avantevap(ixt,il)=xt(ixt,il,i)/q(il,i)*qp(il,i)
@@ -6218,16 +6218,16 @@
           endif !if (qp(il,i).gt.0) THEN
         endif ! if i.lt.INB(il)
-       endif ! (i.le.inb(il) .and. lwork(il)) THEN
+       endif ! (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum
 
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         do il=1,ncum 
-          if (i.le.inb(il) .and. lwork(il)) THEN
+          IF (i.le.inb(il) .AND. lwork(il)) THEN
             CALL iso_verif_egalite_choix( &
                 (xtp_avantevap(iso_eau,il)), &
                 (qp_avantevap(il)), &
                  'appel stewart 95',errmax,errmaxrel)
-          endif ! (i.le.inb(il) .and. lwork(il)) THEN
+          endif ! (i.le.inb(il) .AND. lwork(il)) THEN
         enddo !do il=1,ncum
       endif !if (iso_eau.gt.0) THEN
@@ -6238,5 +6238,5 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
         Pqisup(il)=sigd_vec(il)/g*wt(il,i)*water(il,i+1)+wdtrain(il)/g
         Pqiinf(il)=sigd_vec(il)/g*wt(il,i)*water(il,i) ! ce qu'on aurait dans si ce
@@ -6253,10 +6253,10 @@
                  +xtwdtrain(ixt,il)/g
         enddo
-       endif !if (i.le.inb(il) .and. lwork(il)) THEN
+       endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum 
 
 #ifdef ISOVERIF      
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
          CALL iso_verif_egalite_choix((Pqiinf(il)),  &
                (Pqiinf_par(il)),'appel_setwart 218', &
@@ -6264,10 +6264,10 @@
        endif
 !#ifdef ISOTRAC
-!        if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) THEN
+!        if ((option_traceurs.EQ.17).OR.
+!     :           (option_traceurs.EQ.18)) THEN
 !        if (iso_verif_positif_nostop((        
 !     :          Pxtisup(index_trac(izone_cond,iso_eau),il)
 !     :          -Pxtisup(iso_eau,il)),
-!     :          'appel_stewart 332').eq.1) THEN
+!     :          'appel_stewart 332').EQ.1) THEN
 !          WRITE(*,*) 'Pxtisup(:,il)=',Pxtisup(:,il)
 !          WRITE(*,*) 'xtwater(:,il,i+1)=',xtwater(:,il,i+1)
@@ -6275,5 +6275,5 @@
 !          stop
 !        endif !if (iso_verif_positif_nostop(Pxtisup(iso_eau,il)-
-!        endif !if ((option_traceurs.eq.17).or.    
+!        endif !if ((option_traceurs.EQ.17).OR.
 !#endif       
       enddo !do il=1,ncum 
@@ -6290,8 +6290,8 @@
       ! petite vérif sur les flux
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-         if ((Eqi_par(il).lt.0.0) &
-                .and.(Pqiinf_par(il).le.0.0) &
-               .and.(water(il,i).gt.ridicule/10.)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+         IF ((Eqi_par(il).lt.0.0) &
+                .AND.(Pqiinf_par(il).le.0.0) &
+               .AND.(water(il,i).gt.ridicule/10.)) THEN
             ! dans ce cas, on a de l'eau sortant dont il faut déterminer la
             ! composition, mais pourtant le bilan de masse indique qu'il
@@ -6301,5 +6301,5 @@
 !            WRITE(*,*) 'appel_stewart 239: cas génant'
 
-            if (Eqi_prime(il)*fac_ftmr(il).lt. &
+            IF (Eqi_prime(il)*fac_ftmr(il).lt. &
                 qp_avantevap(il)*1e-2) THEN
                 ! ouf: Eqi_prime a peut d'effet sur la vapeur du ddft.
@@ -6313,8 +6313,8 @@
             endif
           endif
-        endif !if (i.le.inb(il) .and. lwork(il)) THEN
+        endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
           do il=1,ncum
             xtp_avantevap(iso_eau,il)=qp_avantevap(il)
@@ -6333,5 +6333,5 @@
       ! initialisation de l'outil de tracage de cas:
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
           trace_cas(il)=0
         else
@@ -6348,7 +6348,7 @@
 #endif      
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
 !        WRITE(*,*) 'tmp 417: il,Eqi_prime=',il,Eqi_prime(il)
-        if ((Eqi_prime(il).lt.-ridicule*1e-3).or. &
+        IF ((Eqi_prime(il).lt.-ridicule*1e-3).OR. &
               (Eqi_prime(il)*fac_ftmr(il).lt.-ridicule*10)) THEN
             ! modif le 10 mai 2009: si Eqi_prime très petit, on le
